Foniatr - Feature #302

Bug # 273 (New): Stav k 21-10-2015 seznam probblemu k doreseni, deleni dle priority
seznam stimulu viditelny jen pro editora
22 December 2016 04:16 - Tomas Kulhanek

Status: Resolved Start date: 22 December 2016
Priority: Normal Due date:

Assignee: Tomas Kulhanek % Done: 100%

Category: HTMLS5 client Estimated time: 0.00 hour

Target version: Psychotest2 Spent time: 5.00 hours
Description

Po prihlaseni - editor - ma videt pouze stimuli, ktere mu patri - ma k nim pravo. Ostatni stimuli
jsou pro nej neviditelne.

History

#1 - 22 December 2016 04:21 - Tomas Kulhanek
- Status changed from New to Resolved

- % Done changed from 0 to 100

Uzivatel s roli editor (napr. "tomas") - vidi stimuli v podadresari (skupine) s jeho jmenem ("tomas/1.wav tomas/2.wav"), tam muze uploadovat.

Muze pouzit i stimuli z jinych skupin - musi ale znat presnou cestu - nevidi je v seznamu vedle editoru.

Uzivatel s roli admin vidi vsechny stimuli a vsechny skupiny (adresare). Pokud chce aby i uzivatel s roli editor videl stimuli, musi mu je nahrat do jeho

adresare.

#2 - 03 January 2017 08:47 - Marek Fri¢

s uvedenym FeSenim souhlasim, ale v testovaci verzi (http://physiome.lf1.cuni.cz/psychoacoustictest16/Editor pages/Editor.aspx) v zalozce Stimuli to

prozatim nefunguje (nelze vkladat stimuli pod novym uctem (zkouska16) tak to nemohu nejak odzkouset, obecne ani nefunguje prehravani zadnych
(starych) stimulu - tak nevim jestli to je jenom specifikum te testovaci verze, nebo obecne se neco zmenilo a nefungujou testy (stimuli)

#3 - 04 January 2017 09:06 - Tomas Kulhanek
- Status changed from Resolved to In Progress
- % Done changed from 100 to 90

Nedal jsem zatim publish, rozhodilo to system. Musim opravit.

#4 - 24 January 2017 01:42 - Tomas Kulhanek
- Status changed from In Progress to Resolved
- % Done changed from 90 to 100

Editor vidi jen sve stimuly, Admin vidi stimuly vsech v podadresarich podle loginname editora.
Nahravani stimulu probiha do spravnych adresaru.
